import { createLog } from "../../logger/logger.js";
import { query } from "../../sqlServer/prodSqlServer.js";
import { validateCityState } from "../../sqlServer/querys/dataMart/validatecityState.js";

export const validateCS = async () => {
    let cs: any = [];

    let updatedQuery = validateCityState;

    try {
        cs = await query(updatedQuery, "Get address data");
        return { success: true, message: "City State Data", data: cs.data };
    } catch (error) {
        console.log(error);
        return {
            success: false,
            message: "There was an error getting city state data.",
            data: error,
        };
    }
};
